Uploaded

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

POST

Create uploaded media

When object storage is available this API allows upload of media which can be used, for example, in text cards on dashboards.

Uploaded media must have a content type beginning with 'image/' and be less than 4MB.

Required API key scopes

uploaded_media:write

Path parameters

  • project_id
    string

Example request

POST /api/projects/:project_id/uploaded_media
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/uploaded_media/

Example response

Status 201 No response body

Community questions

Questions about this page? or post a community question.